Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QColor.Spec

    java.lang.Object
      java.lang.Enum<QColor.Spec>
          com.trolltech.qt.gui.QColor.Spec

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QColor.Spec>

Enclosing class:
  QColor

    public static enum QColor.Spec

extends java.lang.Enum<QColor.Spec>
implements QtEnumerator

The type of color specified, either RGB, HSV or CMYK.

See Also:
  `spec`, `convertTo`

Enum Constant Summary
`Cmyk` Internal.
`Hsv` Internal.
`Invalid` Internal.
`Rgb` Internal.

Method Summary
`static QColor.Spec` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QColor.Spec` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QColor.Spec[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Invalid

    public static final QColor.Spec Invalid

  Internal.

### Rgb

    public static final QColor.Spec Rgb

  Internal.

### Hsv

    public static final QColor.Spec Hsv

  Internal.

### Cmyk

    public static final QColor.Spec Cmyk

  Internal.

Method Detail

### values

    public static final QColor.Spec[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QColor.Spec c : QColor.Spec.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QColor.Spec valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QColor.Spec resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD